www.3112.net > python哪个版本好

python哪个版本好

更推荐用3.6,刚开始的时候我也纠结过这个问题,学习python是为了什么,现在很多公司都在用python做开发 做爬虫,也面临着python版本问题,但是呢python最开始是有一部分公司用的2版本,不过python真正火了之后大部分还是用的3版本,刚开始我也不懂这些,后来去了老男孩教育学习python,这里像这种琐碎的小问题都有一个定向的回答,既然是新手更推荐你去老男孩学习,可以少走很多弯路

就像windows一样,虽然以后win7和win8,会把xp取代,但是很多人还是热衷于xp的稳定性.3开头的python,还不太稳定,建议2.6或者2.7,我现在用的就是2.6.

越新越好,有3.6为什么还要用3.5,虽然linux自带的python可能不是最新的..另外为什么还要用python2.x.就拿现在火的不要不要的tensorflow来说,只支持python3.5以上,不支持python2.7.我觉得不愿意换最新的人都是懒.

现在主流是python2.7和python3以上的版本,课课家教育python入门到精通有详细讲解.

目前中文教程大多停留在2.5的版本上,所以如果英语很差(又没有编程基础)最好从这里开始.而且目前并非所有的模块,错,是大多数 模块 都不支持3.X.国内前景就是,你可以独立完成XXXX就牛逼.3.X舍弃了向下兼容性,立志把Python做的尽善尽美,但是各个 模块 的更新情况不太乐观.(怎么的也得3-5年吧)Python 涉及的面比较广,其实任何语言都是,可以做所有的事情,就是各自的语言特点决定这种语言做这个方面适合与否.Python 适合用于快速开发,解释性语言导致了运行效率比较低,但是开发速度相对于其他语言却很高.

我用python2.6.2的..因为python2.x的库很多,也很好用,而3.x的库很少..所以一般还是用2.x的 因为python2.x的语法是兼容的,所以装2.5,2.6,2.7都可以,而python3.x的语法跟2.x的语法不兼容~~(一部分不兼容,呵呵) 还有,3.x要新些~~2.x的要旧些

版本当然是3.x的好,要不然也没必要从2.x升级到3.x由于3.x 与 2.x 差别较大,且3.x很多不兼容2.x.我当时看的时候用的3.x版本,资料是2.x的,就出现很多错误.毕竟2.x资料多,所以改成2.7版本要是工作用的话就选2.x版本 ,当前大部分用的都是2.x版本,要是学习的话,用3.x版本.毕竟以后多少年后3.x还是要取代2.x的

python2目前支持的模块更多一些,但是对中文的编码上存在问题,爬虫抓取的内容需要进行转码才能正常显示.python3的第三方支持的模块相对python2少一些,语法结构上与python2有不同,但是对中文编码上要好一些.建议可以先学python2,再学python3.你python2都会了,还怕python3学不好吗?

你好,目前python 2.7的版本是比较经典且很成熟的一个版本

python2.7 你可以学python3.4 比较新的,现在python cookbook第三版就是以3.4为基础的.但是现在公司的一般都是2.X的 而2.6 2.7 相当于一个兼容版本,他兼容2.X 的 也有部分3.0的功能

网站地图

All rights reserved Powered by www.3112.net

copyright ©right 2010-2021。
www.3112.net内容来自网络,如有侵犯请联系客服。zhit325@qq.com